mob000=select count(titulo) as nu_indicador_valor, 'mob000' as indicador_name,max(fecha) as fecha, null as dc_criterio_desagregacion1_valor, null as dc_criterio_desagregacion2_valor, null as dc_criterio_desagregacion3_valor, null as dc_criterio_desagregacion4_valor from vlci_emt_tmp
mob000.01=select count(titulo) as nu_indicador_valor,max(fecha) as fecha, (select TITULO_LONG_DESCRIPTION  from vlci_emt_titulos where Code = titulo) as dc_criterio_desagregacion1_valor, 'mob000.01' as indicador_name, null as dc_criterio_desagregacion2_valor, null as dc_criterio_desagregacion3_valor, null as dc_criterio_desagregacion4_valor from vlci_emt_tmp group by titulo
mob001=select count(titulo) as nu_indicador_valor,max(fecha) as fecha, to_timestamp(hora,'HH24')::time as dc_criterio_desagregacion1_valor, 'mob001' as indicador_name, null as dc_criterio_desagregacion2_valor, null as dc_criterio_desagregacion3_valor, null as dc_criterio_desagregacion4_valor from vlci_emt_tmp group by to_timestamp(hora,'HH24')::time
mob001.01=select count(*) as nu_indicador_valor,fecha, (select TITULO_LONG_DESCRIPTION from vlci_emt_titulos where Code = titulo) as dc_criterio_desagregacion1_valor, CONCAT(FECHA, ' ',SUBSTR(hora,1,2)) as dc_criterio_desagregacion2_valor, 'mob001.01' as indicador_name, null as dc_criterio_desagregacion3_valor, null as dc_criterio_desagregacion4_valor from vlci_emt_tmp group by titulo, FECHA, SUBSTR(hora,1,2)
mob001.02=select round((cant_numerador::numeric/ cant_denominador::numeric) * 100,4) as nu_indicador_valor, max(numerador.fecha) as fecha, (select TITULO_LONG_DESCRIPTION from vlci_emt_titulos where Code = numerador.titulo)  as dc_criterio_desagregacion1_valor, CONCAT(max(numerador.fecha), ' ',SUBSTRING(numerador.hora::text,1,2)) as dc_criterio_desagregacion2_valor, 'mob001.02' as indicador_name, null as dc_criterio_desagregacion3_valor, null as dc_criterio_desagregacion4_valor from (select count(titulo) as cant_numerador, titulo, to_timestamp(hora,'HH24')::time as hora, max(fecha) as fecha from vlci_emt_tmp group by titulo,to_timestamp(hora,'HH24')::time ) as numerador,(select count(titulo) as cant_denominador,to_timestamp(hora,'HH24')::time as hora from vlci_emt_tmp group by to_timestamp(hora,'HH24')::time ) as denominador where numerador.hora = denominador.hora group by numerador.hora, numerador.titulo, cant_numerador,cant_denominador
mob005=select sum(TRANSBORDOS) as nu_indicador_valor,'mob005' as indicador_name,max(fecha) as fecha,null as dc_criterio_desagregacion1_valor, null as dc_criterio_desagregacion2_valor, null as dc_criterio_desagregacion3_valor, null as dc_criterio_desagregacion4_valor from vlci_emt_tmp
mob005.02=select sum(TRANSBORDOS) as nu_indicador_valor,max(fecha) as fecha, (select TITULO_LONG_DESCRIPTION from vlci_emt_titulos where Code = titulo) as dc_criterio_desagregacion1_valor, 'mob005.02' as indicador_name, null as dc_criterio_desagregacion2_valor, null as dc_criterio_desagregacion3_valor, null as dc_criterio_desagregacion4_valor  from vlci_emt_tmp group by titulo
mob005.07=select sum(TRANSBORDOS) as nu_indicador_valor,max(fecha) as fecha, case when itinerario=0 then 'SIN DATOS' else itinerario::text end as dc_criterio_desagregacion1_valor, 'mob005.07' as indicador_name, null as dc_criterio_desagregacion2_valor, null as dc_criterio_desagregacion3_valor, null as dc_criterio_desagregacion4_valor  from vlci_emt_tmp group by itinerario
mob005.08=select sum(TRANSBORDOS) as nu_indicador_valor,max(fecha) as fecha, case when itinerario=0 then 'SIN DATOS' else itinerario::text end as dc_criterio_desagregacion1_valor, (select TITULO_LONG_DESCRIPTION from vlci_emt_titulos where Code = titulo) as dc_criterio_desagregacion2_valor,'mob005.08' as indicador_name, null as dc_criterio_desagregacion3_valor, null as dc_criterio_desagregacion4_valor  from vlci_emt_tmp group by itinerario, titulo
mob006=select sum(viajeros) as nu_indicador_valor,max(fecha) as fecha, to_timestamp(hora,'HH24')::time as dc_criterio_desagregacion1_valor, 'mob006' as indicador_name, null as dc_criterio_desagregacion2_valor, null as dc_criterio_desagregacion3_valor, null as dc_criterio_desagregacion4_valor  from vlci_emt_tmp group by to_timestamp(hora,'HH24')::time
mob006.07=select sum(viajeros) as nu_indicador_valor,max(fecha) as fecha, case when itinerario=0 then 'SIN DATOS' else itinerario::text end as dc_criterio_desagregacion1_valor,'mob006.07' as indicador_name, null as dc_criterio_desagregacion2_valor, null as dc_criterio_desagregacion3_valor, null as dc_criterio_desagregacion4_valor  from vlci_emt_tmp group by itinerario
mob006.08=select sum(viajeros) as nu_indicador_valor,max(fecha) as fecha, case when itinerario=0 then 'SIN DATOS' else itinerario::text end as dc_criterio_desagregacion1_valor, (select TITULO_LONG_DESCRIPTION from vlci_emt_titulos where Code = titulo) as dc_criterio_desagregacion2_valor,'mob006.08' as indicador_name, null as dc_criterio_desagregacion2_valor, null as dc_criterio_desagregacion3_valor, null as dc_criterio_desagregacion4_valor  from vlci_emt_tmp group by itinerario, titulo
mob008=select count(titulo) as nu_indicador_valor,max(fecha) as fecha, case when itinerario=0 then 'SIN DATOS' else itinerario::text end as dc_criterio_desagregacion1_valor, 'mob008' as indicador_name, null as dc_criterio_desagregacion2_valor, null as dc_criterio_desagregacion3_valor, null as dc_criterio_desagregacion4_valor  from vlci_emt_tmp group by itinerario
mob009.04=select sum(TRANSBORDOS) as nu_indicador_valor,max(fecha) as fecha,concat(routes.route_id,' - ' , routes.route_long_name) as dc_criterio_desagregacion1_valor,'mob009.04' as indicador_name,null as dc_criterio_desagregacion2_valor,null as dc_criterio_desagregacion3_valor,null as dc_criterio_desagregacion4_valor from vlci_emt_routes routes join vlci_emt_trips trip on routes.route_id = trip.route_id join vlci_emt_tmp tmp on tmp.linea=trip.trip_id group by routes.route_id,routes.route_long_name
mob010=select count(titulo) as nu_indicador_valor,max(fecha) as fecha, concat(rou.route_id,' - ', rou.route_long_name) as dc_criterio_desagregacion1_valor,'mob010' as indicador_name, null as dc_criterio_desagregacion2_valor, null as dc_criterio_desagregacion3_valor, null as dc_criterio_desagregacion4_valor  from vlci_emt_tmp emt join vlci_emt_trips trip on emt.linea = trip.trip_id join vlci_emt_routes rou on trip.route_id = rou.route_id group by rou.route_id,rou.route_long_name